package com.huimv.weight.task;

import com.huimv.weight.service.IWeight;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration
@EnableScheduling
@RestController
public class WeightTask {

    @Autowired
    private IWeight weight;

//    @Scheduled(cron = "0/2 * * * * ?")
    private void sendDayWeight()  {
        System.out.println("sendDayWeight......");
        //
        weight.sendDayWeightToCenter();
    }
}
