package com.huimv.business.server.dao.repo;

import com.huimv.business.server.dao.entity.FarmDeviceEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface FarmDeviceRepo extends JpaRepository<FarmDeviceEntity, Integer>, JpaSpecificationExecutor<FarmDeviceEntity> {
    //
    @Query(nativeQuery = true,value = "SELECT id FROM farm_device WHERE data_id=?1")
    List<Object[]> getDevice(Integer dataId);
}