package com.huimv.environ;

import com.huimv.environ.server.EnvironServer;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@EnableScheduling
public class HuimvEnvironApplication {
    public static void main(String[] args) {
        ApplicationContext applicationContext = SpringApplication.run(HuimvEnvironApplication.class, args);
        applicationContext.getBean(EnvironServer.class).start();
    }
}
