package com.huimv.weight.dao.repo;

import com.huimv.weight.dao.entity.ProdBatchWeightEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ProdBatchWeightRepo extends JpaRepository<ProdBatchWeightEntity, Integer>, JpaSpecificationExecutor<ProdBatchWeightEntity> {

    //
    @Query(nativeQuery = true,value ="SELECT * FROM prod_batch_weight WHERE farm_id=?1 AND  DATE_FORMAT(add_time,'%Y-%m-%d')= DATE_FORMAT(?2,'%Y-%m-%d') ORDER BY id DESC")
    List<ProdBatchWeightEntity> findByFarmIdAndToday(Integer farmID, String todayText);
}