package com.huimv.weight.dao.repo;

import com.huimv.weight.dao.entity.ProdWeightEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ProdWeightRepo extends JpaRepository<ProdWeightEntity, Integer>, JpaSpecificationExecutor<ProdWeightEntity> {

    @Query(nativeQuery = true,value ="SELECT DATE_FORMAT(add_time,'%Y-%m-%d') AS add_time, SUM(gross_weight) AS gross_wegith,SUM(tare_weight) AS tare_weight,SUM(net_weight) AS net_weight,farm_id  FROM prod_weight WHERE DATE_FORMAT(add_time,'%Y-%m-%d')=DATE_FORMAT(?1,'%Y-%m-%d') AND farm_id=?2")
    List<Object[]> countDayWeight(String todayDateText,Integer farmID);

    @Query(nativeQuery = true,value ="SELECT * FROM prod_weight WHERE DATE_FORMAT(add_time,'%Y-%m-%d')=DATE_FORMAT(?1,'%Y-%m-%d') AND farm_id=?2")
    List<ProdWeightEntity> countDayWeight2(String todayDateText,Integer farmID);
}